Geolocation

The Geolocation endpoint provides detailed location information for an IP address, including country, city, region, coordinates, and timezone data.

Endpoint
GET /geo/{ip}

Replace {ip} with the IP address you want to check.

Response Format
{
  "ip": "203.0.113.195",
  "country": "Netherlands",
  "countryCode": "NL",
  "city": "Amsterdam",
  "region": "North Holland",
  "postalCode": "1012",
  "latitude": 52.3676,
  "longitude": 4.9041,
  "timezone": "Europe/Amsterdam",
  "accuracyRadius": 10
}

Example

Geolocation Example
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  https://ipscanner.io/v1/geo/203.0.113.195
Response Parameters

ip

The IP address that was checked

country

Full country name

countryCode

ISO 3166-1 alpha-2 country code

city

City name

region

Region or state name

postalCode

Postal or ZIP code

latitude

Latitude coordinate

longitude

Longitude coordinate

timezone

IANA timezone

accuracyRadius

Accuracy radius in kilometers